#
# spec file for package ElectricFence
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           ElectricFence
License:        LGPL-2.1+
Group:          Development/Tools/Debuggers
Provides:       efence
Obsoletes:      efence
Version:        2.2.2
Release:        694.5
Summary:        Malloc Debugger
Url:            http://perens.com/FreeSoftware
Source:         %{name}-%{version}.tar.bz2
Patch0:         %{name}-%{version}.diff
Patch1:         %{name}-%{version}-alignment.diff
Patch2:         %{name}-%{version}-pthread.diff
Patch3:         %{name}-%{version}-mmap.diff
Patch4:         %{name}-strerror.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Tool for debugging your C programs (malloc debugger).

%prep
%setup -q
%patch0
%patch1
%patch2
%patch3
%patch4 -p1

%build
echo -e "#!/bin/bash\n`which %__cc` \"\$@\"" >gcc
chmod 755 gcc
export PATH=`pwd`:$PATH
make CC="%__cc" CFLAGS="$RPM_OPT_FLAGS -g -DUSE_SEMAPHORE -fPIC" %{?_smp_mflags}

%install
install -D -d -m755 $RPM_BUILD_ROOT%{_bindir}
install -D -d -m755 $RPM_BUILD_ROOT%{_libdir}
install -D -d -m755 $RPM_BUILD_ROOT%{_mandir}/man3
make	BIN_INSTALL_DIR=$RPM_BUILD_ROOT%{_bindir} \
	LIB_INSTALL_DIR=$RPM_BUILD_ROOT%{_libdir} \
	MAN_INSTALL_DIR=$RPM_BUILD_ROOT%{_mandir}/man3 \
	install

%post
%{run_ldconfig}

%postun
%{run_ldconfig}

%files
%defattr(-,root,root)
%doc README CHANGES COPYING
%doc %{_mandir}/man?/*
%{_libdir}/lib*
%{_bindir}/*

%changelog
* Fri Oct 31 2014 schwab@linux-m68k.org
- ElectricFence-strerror.diff: always use strerror instead of sys_errlist
* Wed Oct  5 2011 uli@suse.com
- cross-build workaround: fake gcc script to work around build
  system not honoring CC throughout
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
- Enable parallel build
* Thu Apr 19 2007 prusnak@suse.cz
- fixed call to mmap functions (mmap.diff) [#265836]
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Nov 18 2004 ro@suse.de
- fixed file list
* Sun Jan 11 2004 adrian@suse.de
- build as user
* Tue Jul 29 2003 mjancar@suse.cz
- use %%run_ldconfig
* Thu Jun  5 2003 mjancar@suse.cz
- repacked source by bzip2
- pthread initialization fix (taken from RedHat 9)
  * never call semaphore routines in between
    __libc_malloc_pthread_startup(true) and
    __libc_malloc_pthread_startup(false) (#83111)
  * only use semaphore locking if application or its dependencies
    are linked against -lpthread, don't link libefence.so against
  - lpthread
* Thu Jan 10 2002 nadvornik@suse.cz
- used macros %%{_lib} and %%{_libdir}
* Thu Oct  4 2001 nadvornik@suse.cz
- Set default alignment to __alignof__(long double)
- now can work with any value of alignment
* Mon Oct  1 2001 schwab@suse.de
- Fix quoting in shell script.
- Set malloc aligment to sizeof(long double) by default, for architectures
  that have strict alignment constraints.
* Wed Nov 29 2000 smid@suse.cz
- renamed: efence => ElectricFence
* Fri Oct 13 2000 schwab@suse.de
- Fix CFLAGS.
* Fri Feb 25 2000 kukuk@suse.de
- fill out group tag
* Thu Jan 27 2000 uli@suse.de
- print.c: fixed misuse of va_arg() macro
* Tue Jan 25 2000 kukuk@suse.de
- Update to version 2.2.2
- Move /usr/man -> /usr/share/man
- Use BuildRoot
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Sun Sep 20 1998 ro@suse.de
- dont redeclare sys_errlist for glibc
